/*
 * Copyright (c) 2022 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package im.vector.app.test.fixtures

import org.matrix.android.sdk.api.auth.registration.Stage

fun aDummyStage() = Stage.Dummy(mandatory = true)
fun anEmailStage() = Stage.Email(mandatory = true)
fun aMsisdnStage() = Stage.Msisdn(mandatory = true)
fun aTermsStage() = Stage.Terms(mandatory = true, policies = emptyMap<String, String>())
fun aRecaptchaStage() = Stage.ReCaptcha(mandatory = true, publicKey = "any-key")
fun anOtherStage() = Stage.Other(mandatory = true, type = "raw-type", params = emptyMap<String, String>())
